Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.callsite
[Java] Class CallSiteClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.codehaus.groovy.reflection.ClassLoaderForClassArtifacts
              org.codehaus.groovy.runtime.callsite.CallSiteClassLoader

    public class CallSiteClassLoader
    extends ClassLoaderForClassArtifacts

Field Summary

Fields inherited from class ClassLoaderForClassArtifacts
klazz

Constructor Summary
`CallSiteClassLoader(java.lang.Class klazz)`

Method Summary
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`

Methods inherited from class ClassLoaderForClassArtifacts
createClassName, define, defineClassAndGetConstructor, loadClass

Methods inherited from class java.lang.ClassLoader
java.lang.ClassLoader#loadClass(java.lang.String), java.lang.ClassLoader#getSystemClassLoader(), java.lang.ClassLoader#getResources(java.lang.String), java.lang.ClassLoader#getSystemResources(java.lang.String), java.lang.ClassLoader#getParent(), java.lang.ClassLoader#setDefaultAssertionStatus(boolean), java.lang.ClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.lang.ClassLoader#clearAssertionStatus(), java.lang.ClassLoader#getResourceAsStream(java.lang.String), java.lang.ClassLoader#getResource(java.lang.String), java.lang.ClassLoader#getSystemResourceAsStream(java.lang.String), java.lang.ClassLoader#getSystemResource(java.lang.String), java.lang.ClassLoader#wait(long), java.lang.ClassLoader#wait(long, int), java.lang.ClassLoader#wait(), java.lang.ClassLoader#equals(java.lang.Object), java.lang.ClassLoader#toString(), java.lang.ClassLoader#hashCode(), java.lang.ClassLoader#getClass(), java.lang.ClassLoader#notify(), java.lang.ClassLoader#notifyAll()

Constructor Detail

### CallSiteClassLoader

    public CallSiteClassLoader(java.lang.Class klazz)

Method Detail

### loadClass

    protected java.lang.Class loadClass(java.lang.String name, boolean resolve)

Groovy Documentation